Bug 98924 - CAN-2003-0539 ddskk temporary file vulnerability
Summary: CAN-2003-0539 ddskk temporary file vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ddskk (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords: Security
: 100419 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-10 14:31 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 07:24:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:241 normal SHIPPED_LIVE : Updated ddskk packages fix temporary file vulnerability 2003-08-11 04:00:00 UTC
Red Hat Product Errata RHSA-2003:242 normal SHIPPED_LIVE Low: ddskk security update 2003-08-11 04:00:00 UTC

Description Mark J. Cox 2003-07-10 14:31:20 UTC
ddskk is a simple Kana to Kanji conversion program for Emacs.  ddskk has a
temporary file creation vulnerability allowing overwriting of arbitrary files as
the user running ddskk.

Comment 1 Mark J. Cox 2003-07-22 09:06:11 UTC
*** Bug 100419 has been marked as a duplicate of this bug. ***

Comment 2 Mark J. Cox 2003-07-29 18:16:52 UTC
RHSA-2003:242 currently awaiting testing

Comment 3 Mark J. Cox 2003-08-11 07:24:20 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-242.html



Note You need to log in before you can comment on or make changes to this bug.